## python-greenlet 0.4.13

=== debian/changelog ===
python-greenlet (0.4.13-2) unstable; urgency=medium

  * Backport fix for Python 3.7 version.
  * Fix JavaScript symlinks for documentation.
  * Update Standards-Version to 4.1.5 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 16 Jul 2018 18:52:16 +0000

python-greenlet (0.4.13-1) unstable; urgency=medium

  * New upstream release.
  * Update packaging.
  * Update debhelper level to 11:
    - update documentation path.
  * Update Standards-Version to 4.1.4:
    - remove python{,3}-greenlet-dbg packages and use the auto-generated ones.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 13 Jun 2018 19:28:37 +0000

=== debian/control ===
Source: python-greenlet
Priority: optional
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Build-Depends: debhelper (>= 11),
 python-all-dev, python-all-dbg,
 python3-all-dev, python3-all-dbg,
 python-setuptools, python3-setuptools,
 python-sphinx, python3-sphinx
Build-Depends-Indep: dh-python
Standards-Version: 4.1.5
Section: python
Homepage: http://pypi.python.org/pypi/greenlet

Package: python-greenlet-doc
Section: doc
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, libjs-jquery, libjs-underscore
Suggests: python-greenlet, python-greenlet-dev
Description: Lightweight in-process concurrent programming - documentation
 The greenlet package is a spin-off of Stackless, a version of CPython that
 supports micro-threads called "tasklets". Tasklets run pseudo-concurrently
 (typically in a single or a few OS-level threads) and are synchronized with
 data exchanges on "channels".
 .
 greenlet is the standalone package derived from the py lib, and is used by
 several non-blocking IO packages as a more flexible alternative to Python's
 built in coroutines.
 .
 This is the documentation for greenlet.

Package: python-greenlet-dev
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, python-greenlet (= ${binary:Version}) | python3-greenlet (= ${binary:Version})
Description: Lightweight in-process concurrent programming - development files
 The greenlet package is a spin-off of Stackless, a version of CPython that
 supports micro-threads called "tasklets". Tasklets run pseudo-concurrently
 (typically in a single or a few OS-level threads) and are synchronized with
 data exchanges on "channels".
 .
 greenlet is the standalone package derived from the py lib, and is used by
 several non-blocking IO packages as a more flexible alternative to Python's
 built in coroutines.
 .
 This is the development package for greenlet.

Package: python-greenlet
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Conflicts: python-codespeak-lib (<< 1.0)
Suggests: python-greenlet-doc, python-greenlet-dev, python-greenlet-dbg
Description: Lightweight in-process concurrent programming
 The greenlet package is a spin-off of Stackless, a version of CPython that
 supports micro-threads called "tasklets". Tasklets run pseudo-concurrently
 (typically in a single or a few OS-level threads) and are synchronized with
 data exchanges on "channels".
 .
 greenlet is the standalone package derived from the py lib, and is used by
 several non-blocking IO packages as a more flexible alternative to Python's
 built in coroutines.

Package: python3-greenlet
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
Provides: ${python3:Provides}
XB-Python-Version: ${python3:Versions}
Conflicts: python-codespeak-lib (<< 1.0)
Suggests: python-greenlet-doc, python-greenlet-dev, python3-greenlet-dbg
Description: Lightweight in-process concurrent programming (python3)
 The greenlet package is a spin-off of Stackless, a version of CPython that
 supports micro-threads called "tasklets". Tasklets run pseudo-concurrently
 (typically in a single or a few OS-level threads) and are synchronized with
 data exchanges on "channels".
 .
 greenlet is the standalone package derived from the py lib, and is used by
 several non-blocking IO packages as a more flexible alternative to Python's
 built in coroutines.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

PYTHON2 := $(shell pyversions -sv)
PYTHON3 := $(shell py3versions -sv)

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_clean:
	rm -rf build/ .pybuild/
	rm -f greenlet.egg-info/PKG-INFO
	find . \( -type f -or -type l \) \( -name '*.py[co]' -or -name '*.so' -or -name '*.log' \) -delete
	cd doc && make clean

build-python%:
	python$* setup.py build

override_dh_auto_build: $(PYTHON3:%=build-python%)
	dh_auto_build
	cd doc && PYTHONPATH=.. make html

install-python%:
	python$* setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb

override_dh_auto_install: $(PYTHON3:%=install-python%)
	dh_auto_install

override_dh_auto_test: $(PYTHON2:%=test-%-stamp) $(PYTHON3:%=test-%-stamp)
test-%-stamp:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	rm -rf build/test-$*
	mkdir build/test-$*
	python$* setup.py install_lib -d build/test-$*
  ifneq (,$(filter $(DEB_HOST_ARCH), ppc64el))
	-PYTHONPATH=build/test-$* python$* run-tests.py -n
  else
	PYTHONPATH=build/test-$* python$* run-tests.py -n
  endif
endif
	touch test-python-$*-stamp

override_dh_compress:
	dh_compress -X.html

.PHONY: override_dh_auto_clean override_dh_auto_build override_dh_auto_test \
	override_dh_compress

## python-greenlet 0.4.15

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/greenlet.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/greenlet.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/greenlet"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/greenlet"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
python-greenlet (0.4.15-4build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:45:54 +0100

python-greenlet (0.4.15-4) unstable; urgency=medium

  * Fix dh-python build dependency (closes: #945135).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 20 Nov 2019 17:13:29 +0000

python-greenlet (0.4.15-3) unstable; urgency=medium

  * Update Standards-Version to 4.4.1 .

  [ Gianfranco Costamagna <locutusofborg@debian.org> ]
  * Fix installation of python3.8 extensions (closes: #942683).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 24 Oct 2019 20:56:17 +0000

python-greenlet (0.4.15-2) unstable; urgency=medium

  * Correct Python 3 header installation directory (closes: #920026).
  * Mark python-greenlet-doc as Multi-Arch foreign.
  * Update Standards-Version to 4.3.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 27 Jan 2019 15:29:31 +0000

python-greenlet (0.4.15-1) unstable; urgency=medium

  * New upstream release.
  * Put back debug packages (closes: #905194).
  * Update patches.
  * Update Standards-Version to 4.2.1 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 17 Sep 2018 17:29:42 +0000

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,59 @@
 Source: python-greenlet
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper (>= 11), dh-python,
  python-all-dev, python-all-dbg,
  python3-all-dev, python3-all-dbg,
  python-setuptools, python3-setuptools,
  python-sphinx, python3-sphinx
-Build-Depends-Indep: dh-python
-Standards-Version: 4.1.5
+Standards-Version: 4.4.1
 Section: python
-Homepage: http://pypi.python.org/pypi/greenlet
+Homepage: https://pypi.python.org/pypi/greenlet
+
+Package: python-greenlet-dbg
+Section: debug
+Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, python-greenlet (= ${binary:Version}), ${python:Depends}
+Provides: ${python:Provides}
+XB-Python-Version: ${python:Versions}
+Recommends: python-dbg
+Description: Lightweight in-process concurrent programming - debugging symbols
+ The greenlet package is a spin-off of Stackless, a version of CPython that
+ supports micro-threads called "tasklets". Tasklets run pseudo-concurrently
+ (typically in a single or a few OS-level threads) and are synchronized with
+ data exchanges on "channels".
+ .
+ greenlet is the standalone package derived from the py lib, and is used by
+ several non-blocking IO packages as a more flexible alternative to Python's
+ built in coroutines.
+ .
+ This is the debugging symbols for greenlet.
+
+Package: python3-greenlet-dbg
+Section: debug
+Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, python3-greenlet (= ${binary:Version}), ${python3:Depends}
+Provides: ${python3:Provides}
+XB-Python-Version: ${python3:Versions}
+Recommends: python3-dbg
+Description: Lightweight in-process concurrent programming - debugging symbols (python3)
+ The greenlet package is a spin-off of Stackless, a version of CPython that
+ supports micro-threads called "tasklets". Tasklets run pseudo-concurrently
+ (typically in a single or a few OS-level threads) and are synchronized with
+ data exchanges on "channels".
+ .
+ greenlet is the standalone package derived from the py lib, and is used by
+ several non-blocking IO packages as a more flexible alternative to Python's
+ built in coroutines.
+ .
+ This is the debugging symbols for greenlet.
 
 Package: python-greenlet-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, libjs-jquery, libjs-underscore
 Suggests: python-greenlet, python-greenlet-dev

=== debian/rules ===
--- 
+++ 
@@ -33,6 +33,15 @@
 
 override_dh_auto_install: $(PYTHON3:%=install-python%)
 	dh_auto_install
+	if [ -d $(CURDIR)/debian/tmp/usr/include/python3.7/ ]; then \
+		mv $(CURDIR)/debian/tmp/usr/include/python3.7/ \
+		$(CURDIR)/debian/tmp/usr/include/python3.7m/ ; \
+	fi
+
+override_dh_install:
+	dh_install
+	# remove debug files from main package
+	$(RM) $(CURDIR)/debian/python3-greenlet/usr/lib/python3*/*-packages/*.cpython-3?d*-*.so
 
 override_dh_auto_test: $(PYTHON2:%=test-%-stamp) $(PYTHON3:%=test-%-stamp)
 test-%-stamp:
@@ -48,8 +57,15 @@
 endif
 	touch test-python-$*-stamp
 
+override_dh_strip:
+ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
+	dh_strip -p python-greenlet --dbg-package=python-greenlet-dbg
+	dh_strip -p python3-greenlet --dbg-package=python3-greenlet-dbg
+endif
+
 override_dh_compress:
 	dh_compress -X.html
 
-.PHONY: override_dh_auto_clean override_dh_auto_build override_dh_auto_test \
-	override_dh_compress
+.PHONY: override_dh_auto_clean override_dh_auto_build \
+	override_dh_auto_install override_dh_install override_dh_auto_test \
+	override_dh_strip override_dh_compress

## python-greenlet 0.4.17

=== debian/changelog ===
python-greenlet (0.4.17-1) unstable; urgency=medium

  [ Matthias Klose <doko@debian.org> ]
  * New upstream version.
    - Python 3.9 compatibility. Closes: #972025.
  * Bump standards version.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 15 Oct 2020 07:11:38 +0200

python-greenlet (0.4.15-4.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop python2 support; Closes: #937800
  * Install documentation in python-greenlet-doc directory

 -- Sandro Tosi <morph@debian.org>  Fri, 10 Apr 2020 20:20:10 -0400

python-greenlet (0.4.15-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build documentation with python3-sphinx

 -- Sandro Tosi <morph@debian.org>  Sat, 14 Mar 2020 18:37:04 -0400

=== debian/control ===
--- 
+++ 
@@ -1,34 +1,13 @@
 Source: python-greenlet
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper (>= 11), dh-python,
- python-all-dev, python-all-dbg,
+Build-Depends: debhelper-compat (= 11), dh-python,
  python3-all-dev, python3-all-dbg,
- python-setuptools, python3-setuptools,
- python-sphinx, python3-sphinx
-Standards-Version: 4.4.1
+ python3-setuptools,
+ python3-sphinx
+Standards-Version: 4.5.0
 Section: python
 Homepage: https://pypi.python.org/pypi/greenlet
-
-Package: python-greenlet-dbg
-Section: debug
-Architecture: any
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}, python-greenlet (= ${binary:Version}), ${python:Depends}
-Provides: ${python:Provides}
-XB-Python-Version: ${python:Versions}
-Recommends: python-dbg
-Description: Lightweight in-process concurrent programming - debugging symbols
- The greenlet package is a spin-off of Stackless, a version of CPython that
- supports micro-threads called "tasklets". Tasklets run pseudo-concurrently
- (typically in a single or a few OS-level threads) and are synchronized with
- data exchanges on "channels".
- .
- greenlet is the standalone package derived from the py lib, and is used by
- several non-blocking IO packages as a more flexible alternative to Python's
- built in coroutines.
- .
- This is the debugging symbols for greenlet.
 
 Package: python3-greenlet-dbg
 Section: debug
@@ -56,7 +35,7 @@
 Multi-Arch: foreign
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, libjs-jquery, libjs-underscore
-Suggests: python-greenlet, python-greenlet-dev
+Suggests: python3-greenlet, python-greenlet-dev
 Description: Lightweight in-process concurrent programming - documentation
  The greenlet package is a spin-off of Stackless, a version of CPython that
  supports micro-threads called "tasklets". Tasklets run pseudo-concurrently
@@ -72,7 +51,7 @@
 Package: python-greenlet-dev
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, python-greenlet (= ${binary:Version}) | python3-greenlet (= ${binary:Version})
+Depends: ${misc:Depends}, python3-greenlet (= ${binary:Version})
 Description: Lightweight in-process concurrent programming - development files
  The greenlet package is a spin-off of Stackless, a version of CPython that
  supports micro-threads called "tasklets". Tasklets run pseudo-concurrently
@@ -84,23 +63,6 @@
  built in coroutines.
  .
  This is the development package for greenlet.
-
-Package: python-greenlet
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
-Provides: ${python:Provides}
-XB-Python-Version: ${python:Versions}
-Conflicts: python-codespeak-lib (<< 1.0)
-Suggests: python-greenlet-doc, python-greenlet-dev, python-greenlet-dbg
-Description: Lightweight in-process concurrent programming
- The greenlet package is a spin-off of Stackless, a version of CPython that
- supports micro-threads called "tasklets". Tasklets run pseudo-concurrently
- (typically in a single or a few OS-level threads) and are synchronized with
- data exchanges on "channels".
- .
- greenlet is the standalone package derived from the py lib, and is used by
- several non-blocking IO packages as a more flexible alternative to Python's
- built in coroutines.
 
 Package: python3-greenlet
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -7,13 +7,12 @@
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
 
-PYTHON2 := $(shell pyversions -sv)
 PYTHON3 := $(shell py3versions -sv)
 
 DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
 %:
-	dh $@ --with python2,python3 --buildsystem=pybuild
+	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_auto_clean:
 	rm -rf build/ .pybuild/
@@ -26,7 +25,7 @@
 
 override_dh_auto_build: $(PYTHON3:%=build-python%)
 	dh_auto_build
-	cd doc && PYTHONPATH=.. make html
+	cd doc && PYTHONPATH=.. make html SPHINXBUILD=/usr/share/sphinx/scripts/python3/sphinx-build
 
 install-python%:
 	python$* setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb
@@ -43,7 +42,7 @@
 	# remove debug files from main package
 	$(RM) $(CURDIR)/debian/python3-greenlet/usr/lib/python3*/*-packages/*.cpython-3?d*-*.so
 
-override_dh_auto_test: $(PYTHON2:%=test-%-stamp) $(PYTHON3:%=test-%-stamp)
+override_dh_auto_test: $(PYTHON3:%=test-%-stamp)
 test-%-stamp:
 ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
 	rm -rf build/test-$*
@@ -59,7 +58,6 @@
 
 override_dh_strip:
 ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
-	dh_strip -p python-greenlet --dbg-package=python-greenlet-dbg
 	dh_strip -p python3-greenlet --dbg-package=python3-greenlet-dbg
 endif

=== debian/watch ===
version=4
https://github.com/python-greenlet/greenlet/tags .*/archive/v?([0-9][0-9\.]*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## python-greenlet 1.1.2

=== debian/changelog ===
python-greenlet (1.1.2-3build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 17 Mar 2022 19:54:45 +0000

python-greenlet (1.1.2-3) unstable; urgency=medium

  * Remove Sandro and Jakub from debian/copyright as requested.

 -- Thomas Goirand <zigo@debian.org>  Thu, 11 Nov 2021 17:33:11 +0100

python-greenlet (1.1.2-2) unstable; urgency=medium

  * Fixed debian/copyright to include appveyor license.

 -- Thomas Goirand <zigo@debian.org>  Thu, 11 Nov 2021 16:45:42 +0100

python-greenlet (1.1.2-1) unstable; urgency=medium

  [ Robin Jarry ]
  * New upstream version 1.1.2
  * Fix packaging with version 1.1.2
  * Fix version unit tests
  * Use debhelper-compat version 13
  * Use Standards-Version 4.6.0.1
  * Use sphinxdoc debhelper sequence

 -- Thomas Goirand <zigo@debian.org>  Thu, 11 Nov 2021 10:10:51 +0100

python-greenlet (0.4.17-2) unstable; urgency=medium

  * Bring package under DPT umbrella
  * debian/control
    - run wrap-and-sort
  * debian/patches/
    - remove empty dir
  * remove -dbg package; Closes: #994356
  * debian/watch
    - fix detection of github releases

 -- Sandro Tosi <morph@debian.org>  Tue, 12 Oct 2021 00:06:53 -0400

=== debian/control ===
Source: python-greenlet
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>,
Uploaders: Sandro Tosi <morph@debian.org>,
           Laszlo Boszormenyi (GCS) <gcs@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all-dev,
               python3-setuptools,
               python3-sphinx,
               sphinx-common
Standards-Version: 4.6.0.1
Section: python
Homepage: https://pypi.python.org/pypi/greenlet
Vcs-Git: https://salsa.debian.org/python-team/packages/python-greenlet.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-greenlet

Package: python-greenlet-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Pre-Depends: ${misc:Pre-Depends},
Depends: ${sphinxdoc:Depends},
         ${misc:Depends},
Suggests: python-greenlet-dev,
          python3-greenlet,
Description: Lightweight in-process concurrent programming - documentation
 The greenlet package is a spin-off of Stackless, a version of CPython that
 supports micro-threads called "tasklets". Tasklets run pseudo-concurrently
 (typically in a single or a few OS-level threads) and are synchronized with
 data exchanges on "channels".
 .
 greenlet is the standalone package derived from the py lib, and is used by
 several non-blocking IO packages as a more flexible alternative to Python's
 built in coroutines.
 .
 This is the documentation for greenlet.

Package: python-greenlet-dev
Architecture: any
Pre-Depends: ${misc:Pre-Depends},
Depends: python3-greenlet (= ${binary:Version}),
         ${misc:Depends},
Description: Lightweight in-process concurrent programming - development files
 The greenlet package is a spin-off of Stackless, a version of CPython that
 supports micro-threads called "tasklets". Tasklets run pseudo-concurrently
 (typically in a single or a few OS-level threads) and are synchronized with
 data exchanges on "channels".
 .
 greenlet is the standalone package derived from the py lib, and is used by
 several non-blocking IO packages as a more flexible alternative to Python's
 built in coroutines.
 .
 This is the development package for greenlet.

Package: python3-greenlet
Architecture: any
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
Provides: ${python3:Provides},
XB-Python-Version: ${python3:Versions}
Conflicts: python-codespeak-lib (<< 1.0),
Suggests: python-greenlet-dev,
          python-greenlet-doc,
Description: Lightweight in-process concurrent programming (python3)
 The greenlet package is a spin-off of Stackless, a version of CPython that
 supports micro-threads called "tasklets". Tasklets run pseudo-concurrently
 (typically in a single or a few OS-level threads) and are synchronized with
 data exchanges on "channels".
 .
 greenlet is the standalone package derived from the py lib, and is used by
 several non-blocking IO packages as a more flexible alternative to Python's
 built in coroutines.

## python-greenlet 2.0.1

=== debian/changelog ===
python-greenlet (2.0.1-1build1) lunar; urgency=medium

  * Rebuild to drop Python 3.10 extension

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 01 Mar 2023 10:45:59 -0500

python-greenlet (2.0.1-1) unstable; urgency=low

  * New upstream release.
   + Add Build-Depends on python3-psutil.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 05 Dec 2022 19:36:08 +0000

python-greenlet (1.1.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - Adds support for Python 3.11 (Closes: #1021874)

 -- Stefano Rivera <stefanor@debian.org>  Wed, 19 Oct 2022 19:43:53 +0200

## python-greenlet 2.0.2

=== debian/changelog ===
python-greenlet (2.0.2-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove 3 obsolete maintscript entries in 3 files.
  * Set upstream metadata fields: Contact, Name, Repository-Browse.

  [ Sandro Tosi ]
  * New upstream release

 -- Sandro Tosi <morph@debian.org>  Sun, 26 Feb 2023 01:15:24 -0500

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,8 @@
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all-dev,
+               python3-objgraph,
+               python3-psutil,
                python3-setuptools,
                python3-sphinx,
                sphinx-common

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

docs = {destdir}/usr/share/python-greenlet-doc/html
PYBUILD_AFTER_CLEAN = rm -rf $(docs)
PYBUILD_AFTER_INSTALL = \
	PYTHONPATH={destdir}/{install_dir} \
	{interpreter} -m sphinx -N -b html {dir}/docs/ $(docs)
export PYBUILD_AFTER_CLEAN PYBUILD_AFTER_INSTALL

override_dh_auto_install:
	dh_auto_install
	if [ -d $(CURDIR)/debian/tmp/usr/include/python3.7/ ]; then \
		mv $(CURDIR)/debian/tmp/usr/include/python3.7/ \
		$(CURDIR)/debian/tmp/usr/include/python3.7m/ ; \
	fi

override_dh_auto_test:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
  ifneq (,$(filter $(DEB_HOST_ARCH), ppc64el))
	-dh_auto_test
  else
	dh_auto_test
  endif
endif

override_dh_compress:
	dh_compress -X.html

.PHONY: override_dh_auto_clean override_dh_auto_install \
	override_dh_auto_test override_dh_compress

## python-greenlet 3.0.1

=== debian/changelog ===
python-greenlet (3.0.1-3) unstable; urgency=medium

  [ James McCoy ]
  * Team upload
  * Add Bug-Database and Bug-Submit upstream metadata fields.
  * Declare compliance with Policy 4.6.2, no changes needed

  [ Sandro Tosi ]
  * remove myself

 -- Sandro Tosi <morph@debian.org>  Wed, 28 Feb 2024 02:47:07 -0500

python-greenlet (3.0.1-2) unstable; urgency=medium

  [ James McCoy ]
  * Set Rules-Requires-Root: no

  [ Stefano Rivera ]
  * Team upload.
  * Patch: Fix tests on 32-bit ARM, fixing FTBFS.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 05 Dec 2023 19:07:04 -0400

python-greenlet (3.0.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - Adds support for Python 3.12. (Closes: #1055498)
    - Adds support for Loong64. (Closes: #1054302)
  * Refresh patches.
  * Clean up core files from tests, thanks Steve McIntyre. (Closes: #1042905)
  * Remove dangling PHONY entry that was breaking clean. (Closes: #1049168)

 -- Stefano Rivera <stefanor@debian.org>  Tue, 05 Dec 2023 10:28:51 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: python-greenlet
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>,
-Uploaders: Sandro Tosi <morph@debian.org>,
-           Laszlo Boszormenyi (GCS) <gcs@debian.org>,
+Uploaders: Laszlo Boszormenyi (GCS) <gcs@debian.org>,
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all-dev,
@@ -11,7 +10,8 @@
                python3-setuptools,
                python3-sphinx,
                sphinx-common
-Standards-Version: 4.6.0.1
+Rules-Requires-Root: no
+Standards-Version: 4.6.2
 Section: python
 Homepage: https://pypi.python.org/pypi/greenlet
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-greenlet.git

=== debian/rules ===
--- 
+++ 
@@ -25,6 +25,7 @@
 		mv $(CURDIR)/debian/tmp/usr/include/python3.7/ \
 		$(CURDIR)/debian/tmp/usr/include/python3.7m/ ; \
 	fi
+	find $(CURDIR)/debian/tmp/ -name core -type f -delete
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
@@ -38,5 +39,4 @@
 override_dh_compress:
 	dh_compress -X.html
 
-.PHONY: override_dh_auto_clean override_dh_auto_install \
-	override_dh_auto_test override_dh_compress
+.PHONY: override_dh_auto_install override_dh_auto_test override_dh_compress

## python-greenlet 3.0.3

=== debian/changelog ===
python-greenlet (3.0.3-0ubuntu5) noble; urgency=medium

  * Build without frame pointers on ppc64el and riscv64.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 02 Apr 2024 12:22:20 +0200

python-greenlet (3.0.3-0ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:04:49 +0000

python-greenlet (3.0.3-0ubuntu3) noble; urgency=medium

  * No-change rebuild to build with python3.12 only.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 16 Mar 2024 23:34:25 +0100

python-greenlet (3.0.3-0ubuntu2) noble; urgency=medium

  * New upstream version.
  * Build-depend on furo.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 03 Jan 2024 14:29:53 +0100

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,13 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+ifneq (,$(filter $(DEB_HOST_ARCH), riscv64))
+  export DEB_BUILD_OPTIONS := $(filter-out nocheck, $(DEB_BUILD_OPTIONS))
+endif
+ifneq (,$(filter $(DEB_HOST_ARCH), ppc64el riscv64))
+  export DEB_BUILD_MAINT_OPTIONS := qa=-framepointer
+endif
 
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
@@ -29,7 +36,7 @@
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
-  ifneq (,$(filter $(DEB_HOST_ARCH), ppc64el))
+  ifneq (,$(filter $(DEB_HOST_ARCH), ppc64el riscv64))
 	-dh_auto_test
   else
 	dh_auto_test

## python-greenlet 3.1.0

=== debian/changelog ===
python-greenlet (3.1.0-1build2) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 18 Oct 2025 22:01:19 +0000

python-greenlet (3.1.0-1build1) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 23:48:25 +0000

python-greenlet (3.1.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release.
    - Supports sh4 (Closes: #1066996)
    - Supports Python 3.13 (Closes: #1081542)
  * Drop patch arm32-tests, superseded upstream.
  * Build-Depend on furo sphinx theme.
  * Support the nodoc build profile.
  * Bump Standards-Version to 4.7.0, no changes needed.
  * Bump copyright years.
  * Drop XB-Python-Version, no longer used.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 20 Sep 2024 19:00:48 +0200

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,15 @@
 Uploaders: Laszlo Boszormenyi (GCS) <gcs@debian.org>,
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+               dh-sequence-sphinxdoc <!nodoc>,
+               furo <!nodoc>,
                python3-all-dev,
                python3-objgraph,
                python3-psutil,
                python3-setuptools,
-               python3-sphinx,
-               sphinx-common
+               python3-sphinx <!nodoc>,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Section: python
 Homepage: https://pypi.python.org/pypi/greenlet
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-greenlet.git
@@ -20,6 +21,7 @@
 Package: python-greenlet-doc
 Section: doc
 Architecture: all
+Build-Profiles: <!nodoc>
 Multi-Arch: foreign
 Pre-Depends: ${misc:Pre-Depends},
 Depends: ${sphinxdoc:Depends},
@@ -62,7 +64,6 @@
          ${python3:Depends},
          ${shlibs:Depends},
 Provides: ${python3:Provides},
-XB-Python-Version: ${python3:Versions}
 Conflicts: python-codespeak-lib (<< 1.0),
 Suggests: python-greenlet-dev,
           python-greenlet-doc,

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

%:
	dh $@ --with python3 --buildsystem=pybuild

ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
docs = {destdir}/usr/share/python-greenlet-doc/html
PYBUILD_AFTER_CLEAN = rm -rf $(docs)
PYBUILD_AFTER_INSTALL = \
	PYTHONPATH={destdir}/{install_dir} \
	{interpreter} -m sphinx -N -b html {dir}/docs/ $(docs)
export PYBUILD_AFTER_CLEAN PYBUILD_AFTER_INSTALL
endif

override_dh_auto_install:
	dh_auto_install
	if [ -d $(CURDIR)/debian/tmp/usr/include/python3.7/ ]; then \
		mv $(CURDIR)/debian/tmp/usr/include/python3.7/ \
		$(CURDIR)/debian/tmp/usr/include/python3.7m/ ; \
	fi
	find $(CURDIR)/debian/tmp/ -name core -type f -delete

override_dh_auto_test:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
  ifneq (,$(filter $(DEB_HOST_ARCH), ppc64el))
	-dh_auto_test
  else
	dh_auto_test
  endif
endif

override_dh_compress:
	dh_compress -X.html

.PHONY: override_dh_auto_install override_dh_auto_test override_dh_compress

## python-greenlet 3.1.1

=== debian/changelog ===
python-greenlet (3.1.1-0+powerpc) unreleased; urgency=medium

  * New upstream version 3.1.1
  * Drop patches

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Tue, 08 Oct 2024 13:08:31 -0700

## python-greenlet 3.2.4

=== debian/changelog ===
python-greenlet (3.2.4-2) unstable; urgency=medium

  * Move to unstable.

 -- Colin Watson <cjwatson@debian.org>  Wed, 29 Oct 2025 11:16:43 +0000

python-greenlet (3.2.4-1) experimental; urgency=medium

  [ Alexandre Detiste ]
  * fix syntax error in Maintainer: field that confuses UDD & the Tracker
  * use dh-sequence-python3
  * bump Standards-Version to 4.7.2

  [ Colin Watson ]
  * Remove dangling .PHONY entry that broke the build
  * Remove an ancient override for Python 3.7
  * New upstream release:
    - Fix crashes on 32-bit PPC Linux (closes: #1082800).
    - Make greenlet build and run on Python 3.14 (closes: #1117906).
  * Require tests to pass on ppc64el; they seem to have passed for years

 -- Colin Watson <cjwatson@debian.org>  Fri, 24 Oct 2025 17:49:28 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: python-greenlet
 Priority: optional
-Maintainer: Debian Python Team <team+python@tracker.debian.org>,
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Laszlo Boszormenyi (GCS) <gcs@debian.org>,
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                dh-sequence-sphinxdoc <!nodoc>,
                furo <!nodoc>,
                python3-all-dev,
@@ -12,7 +12,7 @@
                python3-setuptools,
                python3-sphinx <!nodoc>,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Section: python
 Homepage: https://pypi.python.org/pypi/greenlet
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-greenlet.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

%:
	dh $@ --buildsystem=pybuild

ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
docs = {destdir}/usr/share/python-greenlet-doc/html
PYBUILD_AFTER_CLEAN = rm -rf $(docs)
PYBUILD_AFTER_INSTALL = \
	PYTHONPATH={destdir}/{install_dir} \
	{interpreter} -m sphinx -N -b html {dir}/docs/ $(docs)
export PYBUILD_AFTER_CLEAN PYBUILD_AFTER_INSTALL
endif

execute_after_dh_auto_install:
	find $(CURDIR)/debian/tmp/ -name core -type f -delete

override_dh_compress:
	dh_compress -X.html

.PHONY: override_dh_compress

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%python-greenlet-$1.tar.gz%" \
https://github.com/python-greenlet/greenlet/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## python-greenlet 3.3.2

=== debian/changelog ===
python-greenlet (3.3.2-1) experimental; urgency=medium

  * New upstream release.
  * Add myself as uploader.
  * Remove part of setup-use-absolute-paths.patch not needed anymore.
  * Refreshed blacklist-test-on-armhf.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 25 Feb 2026 11:54:09 +0100

python-greenlet (3.2.4-3) unstable; urgency=medium

  * Team upload.
  * Ran wrap-and-sort -bastk.
  * Blacklist in armhf (Closes: #1121889):
    - test_untracked_memory_doesnt_increase_unfinished_thread_dealloc_in_thread

 -- Thomas Goirand <zigo@debian.org>  Thu, 04 Dec 2025 11:00:21 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,19 @@
 Source: python-greenlet
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Laszlo Boszormenyi (GCS) <gcs@debian.org>,
-Build-Depends: debhelper-compat (= 13),
-               dh-sequence-python3,
-               dh-sequence-sphinxdoc <!nodoc>,
-               furo <!nodoc>,
-               python3-all-dev,
-               python3-objgraph,
-               python3-psutil,
-               python3-setuptools,
-               python3-sphinx <!nodoc>,
+Uploaders:
+ Laszlo Boszormenyi (GCS) <gcs@debian.org>,
+ Thomas Goirand <zigo@debian.org>,
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-sequence-python3,
+ dh-sequence-sphinxdoc <!nodoc>,
+ furo <!nodoc>,
+ python3-all-dev,
+ python3-objgraph,
+ python3-psutil,
+ python3-setuptools,
+ python3-sphinx <!nodoc>,
 Rules-Requires-Root: no
 Standards-Version: 4.7.2
 Section: python
@@ -23,11 +26,14 @@
 Architecture: all
 Build-Profiles: <!nodoc>
 Multi-Arch: foreign
-Pre-Depends: ${misc:Pre-Depends},
-Depends: ${sphinxdoc:Depends},
-         ${misc:Depends},
-Suggests: python-greenlet-dev,
-          python3-greenlet,
+Pre-Depends:
+ ${misc:Pre-Depends},
+Depends:
+ ${misc:Depends},
+ ${sphinxdoc:Depends},
+Suggests:
+ python-greenlet-dev,
+ python3-greenlet,
 Description: Lightweight in-process concurrent programming - documentation
  The greenlet package is a spin-off of Stackless, a version of CPython that
  supports micro-threads called "tasklets". Tasklets run pseudo-concurrently
@@ -42,9 +48,11 @@
 
 Package: python-greenlet-dev
 Architecture: any
-Pre-Depends: ${misc:Pre-Depends},
-Depends: python3-greenlet (= ${binary:Version}),
-         ${misc:Depends},
+Pre-Depends:
+ ${misc:Pre-Depends},
+Depends:
+ python3-greenlet (= ${binary:Version}),
+ ${misc:Depends},
 Description: Lightweight in-process concurrent programming - development files
  The greenlet package is a spin-off of Stackless, a version of CPython that
  supports micro-threads called "tasklets". Tasklets run pseudo-concurrently
@@ -59,14 +67,19 @@
 
 Package: python3-greenlet
 Architecture: any
-Pre-Depends: ${misc:Pre-Depends},
-Depends: ${misc:Depends},
-         ${python3:Depends},
-         ${shlibs:Depends},
-Provides: ${python3:Provides},
-Conflicts: python-codespeak-lib (<< 1.0),
-Suggests: python-greenlet-dev,
-          python-greenlet-doc,
+Pre-Depends:
+ ${misc:Pre-Depends},
+Depends:
+ ${misc:Depends},
+ ${python3:Depends},
+ ${shlibs:Depends},
+Provides:
+ ${python3:Provides},
+Conflicts:
+ python-codespeak-lib (<< 1.0),
+Suggests:
+ python-greenlet-dev,
+ python-greenlet-doc,
 Description: Lightweight in-process concurrent programming (python3)
  The greenlet package is a spin-off of Stackless, a version of CPython that
  supports micro-threads called "tasklets". Tasklets run pseudo-concurrently
